Skip to main content
PATCH
/
v1
/
mosques
/
{mosqueId}
/
prayers
/
{prayerId}
Update a manual prayer row
curl --request PATCH \
  --url https://api.pocketmusala.com/v1/mosques/{mosqueId}/prayers/{prayerId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "adhanTime": "<string>",
  "iqamahTime": "04:21"
}
'
{
  "prayers": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "adhanTime": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "iqamahTime": "04:21"
    }
  ]
}

Authorizations

Authorization
string
header
required

PocketMusala Developer API key from the authenticated portal.

Headers

X-Request-Id
string

Partner-generated request id used for logs and support.

Minimum string length: 1

Path Parameters

mosqueId
string<uuid>
required
prayerId
string<uuid>
required

Body

application/json
prayerKey
enum<string>
required
Available options:
fajr,
sunrise,
dhuhr,
asr,
maghrib,
isha,
midnight,
tahajjud,
duha,
jummah,
eid
adhanTime
string
required

Accepts HH:mm or h:mm am/pm.

Pattern: ^((0?[1-9]|1[0-2]):[0-5][0-9]\s*(am|pm)|([01]?[0-9]|2[0-3]):[0-5][0-9])$
Examples:

"04:21"

"4:21 am"

"13:15"

"1:15 pm"

iqamahTime
string | null

Accepts HH:mm or h:mm am/pm.

Pattern: ^((0?[1-9]|1[0-2]):[0-5][0-9]\s*(am|pm)|([01]?[0-9]|2[0-3]):[0-5][0-9])$
Example:

"04:21"

Response

Current prayer row list.

prayers
object[]
required